%this is the system of the FOC for the private info problem if bequests are
%equal

function systemeq = systemeq(x)
global sigma gamma z_H z_L A u up v vp W W_b Pi theta

c_HL = x(1);
c_HH = x(2);
y_HL = x(3); 
y_HH = x(4); 
c_LL = x(5);
c_LH = x(6);
y_LL = x(7); 
y_LH = x(8); 
b = x(9); 
lambda = x(10); 
mu_HH = x(11);
mu_LH = x(12);

systemeq = zeros(12,1);

systemeq(1,1) = up(c_HH)*(1+mu_HH) - lambda;
systemeq(2,1) = up(c_HL)*(1-mu_HH*theta/(1-theta)) - lambda;
systemeq(3,1) = vp(y_HH/z_H)/z_H*(1+mu_HH) - lambda;
systemeq(4,1) = vp(y_HL/z_L)/z_L - mu_HH*vp(y_HL/z_H)/z_H*theta/(1-theta) - lambda;


systemeq(5,1) = up(c_LH)*(1+mu_LH) - lambda;
systemeq(6,1) = up(c_LL)*(1-mu_LH*(1-theta)/theta) - lambda;
systemeq(7,1) = vp(y_LH/z_H)/z_H*(1+mu_LH) - lambda;
systemeq(8,1) = vp(y_LL/z_L)/z_L - mu_LH*vp(y_LL/z_H)/z_H*(1-theta)/theta - lambda;

systemeq(9,1) = W_b(b, z_H, Pi) - lambda + W_b(b, z_L, Pi) - lambda;

systemeq(10,1) = theta*(c_HH + b - y_HH) + (1-theta)*(c_HL + b - y_HL) + theta*(c_LL + b - y_LL) + (1-theta)*(c_LH + b - y_LH) - A;
systemeq(11,1) = u(c_HH) - v(y_HH/z_H)  - u(c_HL) + v(y_HL/z_H);
systemeq(12,1) = u(c_LH) - v(y_LH/z_H)  - u(c_LL) + v(y_LL/z_H);