%this is the system of the FOC for the private info problem

function system = system(x)
global sigma gamma z_H z_L A u up v vp W W_b Pi theta

c_HL = x(1);
c_HH = x(2);
y_HL = x(3); 
y_HH = x(4); 
b_HL = x(5); 
b_HH = x(6);
c_LL = x(7);
c_LH = x(8);
y_LL = x(9); 
y_LH = x(10); 
b_LL = x(11); 
b_LH = x(12); 
lambda = x(13); 
mu_HH = x(14);
mu_LH = x(15);

system = zeros(15,1);

system(1,1) = up(c_HH)*(1+mu_HH) - lambda;
system(2,1) = up(c_HL)*(1-mu_HH*theta/(1-theta)) - lambda;
system(3,1) = vp(y_HH/z_H)/z_H*(1+mu_HH) - lambda;
system(4,1) = vp(y_HL/z_L)/z_L - mu_HH*vp(y_HL/z_H)/z_H*theta/(1-theta) - lambda;
system(5,1) = W_b(b_HH, z_H, Pi)*(1+mu_HH) - lambda;
system(6,1) = W_b(b_HL, z_L, Pi) - mu_HH*W_b(b_HL, z_H, Pi)*theta/(1-theta) - lambda;

system(7,1) = up(c_LH)*(1+mu_LH) - lambda;
system(8,1) = up(c_LL)*(1-mu_LH*(1-theta)/theta) - lambda;
system(9,1) = vp(y_LH/z_H)/z_H*(1+mu_LH) - lambda;
system(10,1) = vp(y_LL/z_L)/z_L - mu_LH*vp(y_LL/z_H)/z_H*(1-theta)/theta - lambda;
system(11,1) = W_b(b_LH, z_H, Pi)*(1+mu_LH) - lambda;
system(12,1) = W_b(b_LL, z_L, Pi) - mu_LH*W_b(b_LL, z_H, Pi)*(1-theta)/theta - lambda;

system(13,1) = theta*(c_HH + b_HH - y_HH) + (1-theta)*(c_HL + b_HL - y_HL) + theta*(c_LL + b_LL - y_LL) + (1-theta)*(c_LH + b_LH - y_LH) - A;
system(14,1) = u(c_HH) - v(y_HH/z_H) + W(b_HH, z_H, Pi) - u(c_HL) + v(y_HL/z_H) - W(b_HL, z_H, Pi);
system(15,1) = u(c_LH) - v(y_LH/z_H) + W(b_LH, z_H, Pi) - u(c_LL) + v(y_LL/z_H) - W(b_LL, z_H, Pi);